summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-scheme/guile-gcrypt')
-rw-r--r--dev-scheme/guile-gcrypt/Manifest1
-rw-r--r--dev-scheme/guile-gcrypt/guile-gcrypt-0.2.1.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-scheme/guile-gcrypt/Manifest b/dev-scheme/guile-gcrypt/Manifest
index e138f1c1418..e29b532f261 100644
--- a/dev-scheme/guile-gcrypt/Manifest
+++ b/dev-scheme/guile-gcrypt/Manifest
@@ -1,2 +1,3 @@
DIST guile-gcrypt-0.1.0.tar.gz 47119 BLAKE2B f0d135ae0eeecd324d51ebfcb2fd9c131e57c9d822f0729e0cddde05fe4c4df6d854e1394a4ef5361e046f10279e60a10c781e0df2432ec4034d62631a0c2619 SHA512 90934b2347cc94a59537e34b07608a8678ed3af4ce62b42f0659eb3bca4290a2707b2c166a50a16422cb17d03d2a1a3fa59a203404c1b05b0d02cb753f367c52
DIST guile-gcrypt-0.2.0.tar.gz 50993 BLAKE2B 427a950da7eb433ea7475956504a423714717e4e7896906eccc84c3a94261e3c93dc24e75ddcbb1f0cee9a7bc7054021e0d6673d11ca9fe5aed7ebcaa5c30ff4 SHA512 82a86dcdf9fb09125203fbcfc3d43cf0afbd9ebfb8f889c7c602d8534a37136bb555d4b7920e7964468c6fdbfdc0f242dcd3c0fe42490c552a8013c1a6638552
+DIST guile-gcrypt-0.2.1.tar.gz 51129 BLAKE2B adb597bca654ac57b27f18cdd391edacb98e200ce274907494d6e4c7052f3cda093281d8e27e2bab0fbf9b572b17fc9bd90c8a8275d61144c8becadc6d7c8c07 SHA512 c5de73f204f55b337b097ab6205f389c580b2ff825a672f3d042b2d74ca9a8038952d0c656e9def0d441075764cf4c937f648fa8c9bd598fa7efea2b5542559c
diff --git a/dev-scheme/guile-gcrypt/guile-gcrypt-0.2.1.ebuild b/dev-scheme/guile-gcrypt/guile-gcrypt-0.2.1.ebuild
new file mode 100644
index 00000000000..05bb44f4372
--- /dev/null
+++ b/dev-scheme/guile-gcrypt/guile-gcrypt-0.2.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Guile bindings of libgcrypt"
+HOMEPAGE="https://notabug.org/cwebber/guile-gcrypt"
+SRC_URI="https://notabug.org/cwebber/guile-gcrypt/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ >=dev-scheme/guile-2.0.11:=
+ dev-libs/libgcrypt:0=
+"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${PN}
+
+src_prepare() {
+ default
+
+ # http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38112
+ find "${S}" -name "*.scm" -exec touch {} + || die
+
+ # upstream tag on top of source tree. has no autogenerated files
+ eautoreconf
+}